Skip to main content
GET
/
api
/
v2
/
tasks
/
{taskId}
GET /api/v2/tasks/:taskId — Poll task status (any task type)
curl --request GET \
  --url https://api.shuriken.trade/api/v2/tasks/{taskId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "status": "pending",
    "taskId": "<string>",
    "taskType": "swap",
    "errorCode": "<string>",
    "errorMessage": "<string>",
    "txHash": "<string>"
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Path Parameters

taskId
string
required

Task ID returned by any action endpoint

Response

Task status

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)